## Initialize new SSO connector `client.IAM.SSO.New(ctx, params) (*SSONewResponse, error)` **post** `/accounts/{account_id}/sso_connectors` Initialize new SSO connector ### Parameters - `params SSONewParams` - `AccountID param.Field[string]` Path param: Account identifier tag. - `EmailDomain param.Field[string]` Body param: Email domain of the new SSO connector - `BeginVerification param.Field[bool]` Body param: Begin the verification process after creation - `UseFedrampLanguage param.Field[bool]` Body param: Controls the display of FedRAMP language to the user during SSO login ### Returns - `type SSONewResponse struct{…}` - `ID string` SSO Connector identifier tag. - `CreatedOn Time` Timestamp for the creation of the SSO connector - `EmailDomain string` - `Enabled bool` - `UpdatedOn Time` Timestamp for the last update of the SSO connector - `UseFedrampLanguage bool` Controls the display of FedRAMP language to the user during SSO login - `Verification SSONewResponseVerification` - `Code string` DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership. - `Status SSONewResponseVerificationStatus` The status of the verification code from the verification process. - `const SSONewResponseVerificationStatusAwaiting SSONewResponseVerificationStatus = "awaiting"` - `const SSONewResponseVerificationStatusPending SSONewResponseVerificationStatus = "pending"` - `const SSONewResponseVerificationStatusFailed SSONewResponseVerificationStatus = "failed"` - `const SSONewResponseVerificationStatusVerified SSONewResponseVerificationStatus = "verified"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/iam" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) sso, err := client.IAM.SSO.New(context.TODO(), iam.SSONewParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), EmailDomain: cloudflare.F("example.com"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", sso.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2025-01-01T12:21:02.0000Z", "email_domain": "example.com", "enabled": false, "updated_on": "2025-01-01T12:21:02.0000Z", "use_fedramp_language": false, "verification": { "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353", "status": "pending" } } } ```